doctype html

include sidenav.pug

html(lang='pt-br')

	head

		title Entrada Única

		meta(charset="UTF-8")

		link(href='images/favicon.ico', rel="shortcut icon")

		<!-- Material Design fonts -->
		link(href='//fonts.googleapis.com/css?family=Roboto:300,400,500,700', rel="stylesheet")

		link(href='styles/main.css', rel="stylesheet")
		link(href='styles/leaflet.css', rel="stylesheet")
		link(href='styles/leaflet.draw.css', rel="stylesheet")
		link(href='styles/Control.FullScreen.css', rel="stylesheet")
		link(href='styles/leaflet-measure.css', rel="stylesheet")

		script(src='scripts/jquery.min.js')
		script(src='scripts/jquery.blockUI.js')
		script(src='scripts/angular.min.js')
		script(src='scripts/angular-locale_pt-br.js')
		script(src='scripts/angular-route.min.js')
		script(src='scripts/material.min.js')
		script(src='scripts/ripples.min.js')
		script(src='scripts/underscore-min.js')
		script(src='scripts/bootstrap.min.js')
		script(src='scripts/ui-bootstrap.min.js')
		script(src='scripts/ui-bootstrap-tpls.min.js')
		script(src='scripts/angular-input-masks-standalone.min.js')
		script(src='scripts/angular-cookies.min.js')
		script(src='scripts/bootstrap-notify.min.js')
		script(src='scripts/mask.min.js')
		script(src='scripts/leaflet.js')
		script(src='scripts/leaflet.draw.js')
		script(src='scripts/Control.FullScreen.js')
		script(src='scripts/leaflet-measure.min.js')
		script(src='scripts/ngMask.min.js')

		body(ng-app="appModule", ng-controller="AppCtrl", ng-cloak)

			div.container-fluid(ng-if="rota.public || isAtualizacao", ng-controller="HeaderController")
				div.row
					div.col-md-12.col-lg-12.main.no-padding
						include headerPublic
					.body-view(ng-view, autoscroll="true")

			div.container-fluid(ng-if="rota.entradaUnica && !rota.public && !isAtualizacao")
				div.row
					div.col-md-3.col-lg-2.sidebar.no-padding.side-menu-container(ng-controller='InicialController')
						+sidenav('true')

					div.col-md-9.col-lg-10.main.no-padding(ng-controller="HeaderController")

						include header
						.body-view(ng-view, autoscroll="true")

	//-<!-- build:js  scripts/scripts.min.js -->

	script(src='scripts/app.js')
	script(src='scripts/appConfig.js')

	script(src='scripts/factories/httpInterceptor.js')
	script(src='scripts/factories/localStorage.js')
	script(src='scripts/factories/previousPath.js')

	script(src='scripts/controllers/inicial.js')
	script(src='scripts/controllers/pessoaFisica/cadastro.js')
	script(src='scripts/controllers/pessoaFisica/gestao.js')
	script(src='scripts/controllers/pessoaFisica/visualizacao.js')
	script(src='scripts/controllers/pessoaJuridica/cadastro.js')
	script(src='scripts/controllers/pessoaJuridica/gestao.js')
	script(src='scripts/controllers/pessoaJuridica/visualizacao.js')
	script(src='scripts/controllers/empreendimento/gestao.js')
	script(src='scripts/controllers/empreendimento/visualizacao.js')
	script(src='scripts/controllers/empreendimento/cadastro.js')
	script(src='scripts/controllers/conta/validacao.js')
	script(src='scripts/controllers/header.js')

	script(src='scripts/services/configService.js')
	script(src='scripts/services/authService.js')
	script(src='scripts/services/paisService.js')
	script(src='scripts/services/estadoService.js')
	script(src='scripts/services/tipoContatoService.js')
	script(src='scripts/services/pessoaFisicaService.js')
	script(src='scripts/services/pessoaJuridicaService.js')
	script(src='scripts/services/empreendimentoService.js')
	script(src='scripts/services/mapaService.js')
	script(src='scripts/services/usuarioService.js')
	script(src='scripts/services/perfilService.js')
	script(src='scripts/services/agendaDesativacaoService.js')
	script(src='scripts/services/tipoMotivoService.js')
	script(src='scripts/services/municipioService.js')
	script(src='scripts/services/moduloService.js')
	script(src='scripts/services/setorService.js')

	script(src='scripts/utils/filters.js')
	script(src='scripts/utils/mascaras.js')
	script(src='scripts/utils/formatacao.js')
	script(src='scripts/utils/loadingUtil.js')
	script(src='scripts/utils/formUtils.js')
	script(src='scripts/utils/acaoSistema.js')
	script(src='scripts/utils/mensagens.js')

	script(src='scripts/components/paginacao.js')
	script(src='scripts/components/contatos.js')
	script(src='scripts/components/endereco.js')
	script(src='scripts/components/maxDateValidator.js')
	script(src='scripts/components/minDateValidator.js')
	script(src='scripts/components/enter.js')
	script(src='scripts/components/inputMaskCpfCnpj.js')
	script(src='scripts/components/passwordCheck.js')

	//-<!-- endbuild -->
